gSOAP HTTP Digest Authentication Stable release

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

Macros | Functions | Variables
httpda.c File Reference
`#include "httpda.h"`
Include dependency graph for httpda.c:

## Macros
#define | HTTP_DA_NONCELEN 21
#define | HTTP_DA_OPAQUELEN 9

## Functions
static int | http_da_init (struct soap *soap, struct http_da_data *data)
static int | http_da_copy (struct soap *soap, struct soap_plugin *dst, struct soap_plugin *src)
static void | http_da_delete (struct soap *soap, struct soap_plugin *p)
static int | http_da_post_header (struct soap *soap, const char *key, const char *val)
static int | http_da_parse (struct soap *soap)
static int | http_da_parse_header (struct soap *soap, const char *key, const char *val)
static int | http_da_prepareinitsend (struct soap *soap)
static int | http_da_prepareinitrecv (struct soap *soap)
static int | http_da_preparesend (struct soap *soap, const char *buf, size_t len)
static int | http_da_preparerecv (struct soap *soap, const char *buf, size_t len)
static int | http_da_preparefinalrecv (struct soap *soap)
static int | http_da_verify_method (struct soap *soap, const char *method, const char *passwd)
static void | http_da_session_start (const char *realm, const char *nonce, const char *opaque)
static int | http_da_session_update (const char *realm, const char *nonce, const char *opaque, const char *cnonce, const char *ncount)
static void | http_da_session_cleanup ()
void | http_da_calc_nonce (struct soap *soap, char nonce[HTTP_DA_NONCELEN])
void | http_da_calc_opaque (struct soap *soap, char opaque[HTTP_DA_OPAQUELEN])
static void | http_da_calc_HA1 (struct soap *soap, void **context, const char *alg, const char *userid, const char *realm, const char *passwd, const char *nonce, const char *cnonce, char HA1hex[33])
static void | http_da_calc_response (struct soap *soap, void **context, char HA1hex[33], const char *nonce, const char *ncount, const char *cnonce, const char *qop, const char *method, const char *uri, char entityHAhex[33], char response[33])
int | http_da (struct soap *soap, struct soap_plugin *p, void *arg)
void | http_da_save (struct soap *soap, struct http_da_info *info, const char *realm, const char *userid, const char *passwd)
void | http_da_proxy_save (struct soap *soap, struct http_da_info *info, const char *realm, const char *userid, const char *passwd)
void | http_da_restore (struct soap *soap, struct http_da_info *info)
void | http_da_proxy_restore (struct soap *soap, struct http_da_info *info)
void | http_da_release (struct soap *soap, struct http_da_info *info)
void | http_da_proxy_release (struct soap *soap, struct http_da_info *info)
int | http_da_verify_post (struct soap *soap, const char *passwd)
int | http_da_verify_get (struct soap *soap, const char *passwd)

## Variables
const char | http_da_id [] = HTTP_DA_ID
static struct http_da_session * | http_da_session = NULL
static MUTEX_TYPE | http_da_session_lock = MUTEX_INITIALIZER

## Macro Definition Documentation

#define HTTP_DA_NONCELEN 21

#define HTTP_DA_OPAQUELEN 9

## Function Documentation

int http_da | ( | struct soap * | soap,
|  | struct soap_plugin * | p,
|  | void * | arg
| ) |  |

static void http_da_calc_HA1 | ( | struct soap * | soap,
|  | void ** | context,
|  | const char * | alg,
|  | const char * | userid,
|  | const char * | realm,
|  | const char * | passwd,
|  | const char * | nonce,
|  | const char * | cnonce,
|  | char | HA1hex[33]
| ) |  |
| static

void http_da_calc_nonce | ( | struct soap * | soap,
|  | char | nonce[HTTP_DA_NONCELEN]
| ) |  |

void http_da_calc_opaque | ( | struct soap * | soap,
|  | char | opaque[HTTP_DA_OPAQUELEN]
| ) |  |

static void http_da_calc_response | ( | struct soap * | soap,
|  | void ** | context,
|  | char | HA1hex[33],
|  | const char * | nonce,
|  | const char * | ncount,
|  | const char * | cnonce,
|  | const char * | qop,
|  | const char * | method,
|  | const char * | uri,
|  | char | entityHAhex[33],
|  | char | response[33]
| ) |  |
| static

static int http_da_copy | ( | struct soap * | soap,
|  | struct soap_plugin * | dst,
|  | struct soap_plugin * | src
| ) |  |
| static

static void http_da_delete | ( | struct soap * | soap,
|  | struct soap_plugin * | p
| ) |  |
| static

static int http_da_init | ( | struct soap * | soap,
|  | struct http_da_data * | data
| ) |  |
| static

static int http_da_parse | ( | struct soap * | soap | ) |
| static

static int http_da_parse_header | ( | struct soap * | soap,
|  | const char * | key,
|  | const char * | val
| ) |  |
| static

static int http_da_post_header | ( | struct soap * | soap,
|  | const char * | key,
|  | const char * | val
| ) |  |
| static

static int http_da_preparefinalrecv | ( | struct soap * | soap | ) |
| static

static int http_da_prepareinitrecv | ( | struct soap * | soap | ) |
| static

static int http_da_prepareinitsend | ( | struct soap * | soap | ) |
| static

static int http_da_preparerecv | ( | struct soap * | soap,
|  | const char * | buf,
|  | size_t | len
| ) |  |
| static

static int http_da_preparesend | ( | struct soap * | soap,
|  | const char * | buf,
|  | size_t | len
| ) |  |
| static

void http_da_proxy_release | ( | struct soap * | soap,
|  | struct http_da_info * | info
| ) |  |

void http_da_proxy_restore | ( | struct soap * | soap,
|  | struct http_da_info * | info
| ) |  |

void http_da_proxy_save | ( | struct soap * | soap,
|  | struct http_da_info * | info,
|  | const char * | realm,
|  | const char * | userid,
|  | const char * | passwd
| ) |  |

void http_da_release | ( | struct soap * | soap,
|  | struct http_da_info * | info
| ) |  |

void http_da_restore | ( | struct soap * | soap,
|  | struct http_da_info * | info
| ) |  |

void http_da_save | ( | struct soap * | soap,
|  | struct http_da_info * | info,
|  | const char * | realm,
|  | const char * | userid,
|  | const char * | passwd
| ) |  |

static void http_da_session_cleanup | ( |  | ) |
| static

static void http_da_session_start | ( | const char * | realm,
|  | const char * | nonce,
|  | const char * | opaque
| ) |  |
| static

static int http_da_session_update | ( | const char * | realm,
|  | const char * | nonce,
|  | const char * | opaque,
|  | const char * | cnonce,
|  | const char * | ncount
| ) |  |
| static

int http_da_verify_get | ( | struct soap * | soap,
|  | const char * | passwd
| ) |  |

static int http_da_verify_method | ( | struct soap * | soap,
|  | const char * | method,
|  | const char * | passwd
| ) |  |
| static

int http_da_verify_post | ( | struct soap * | soap,
|  | const char * | passwd
| ) |  |

## Variable Documentation

const char http_da_id[] = HTTP_DA_ID

pluging identification for plugin registry

struct http_da_session* http_da_session = NULL
| static

HTTP DA session database

MUTEX_TYPE http_da_session_lock = MUTEX_INITIALIZER
| static

HTTP DA session database lock